Get Sensor Data

Returns all sensor readings for a particular sensor over a specified time range.

Responses will include the start and end time of the data requested and device information (ID, serial number) alongside the readings.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The unique identifier of the device.

integer

The start of the time range for requested sensor data.
Formatted as a Unix timestamp in seconds.
Defaults to an hour from the current time.

integer

The end of the time range for requested sensor data.
Formatted as a Unix timestamp in seconds.
Defaults to the current time.

string

The pagination token used to fetch the next page of results.

integer
0 to 200
Defaults to 100

The number of items returned in a single response.
Default is 100. Max is 200.

string

One or multiple comma separated values from humidity, motion, noise_level, pm_2_5, pm_4_0, pm_1_0_0, tamper, temperature, tvoc(SV11), usa_air_quality_index, vape_index, carbon_dioxide, carbon_monoxide, barometric_pressure, formaldehyde, ambient_light, tvoc_index(SV23/SV25), heat_index.

If blank, all sensor readings will be returned in the response.

string

The time interval for the requested sensor data.

Data is stored with 1 second intervals for 30 days, and with 5 minute intervals for data between 30 days and 365 days old.

A valid value for this field is a number followed by a supported format. Supported formats are s, m, and h for seconds, minutes, and hours, respectively.

For example, 5m would specify a 5 minutes interval for the data.

If left blank, a default resolution will be calculated based on time range.

Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json